Package com.sleepycat.persist.evolve

## Class EvolveInternal

- java.lang.Object
- - com.sleepycat.persist.evolve.EvolveInternal

-     public class EvolveInternal
      extends java.lang.Object

  Internal access class that should not be used by applications.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EvolveInternal()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EvolveEvent` | `newEvent()` | Internal access method that should not be used by applications.
    `static void` | `updateEvent​(EvolveEvent event, java.lang.String entityClassName, int nRead, int nConverted)` | Internal access method that should not be used by applications.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EvolveInternal

          public EvolveInternal()

  - ### Method Detail

    - #### newEvent

          public static EvolveEvent newEvent()

      Internal access method that should not be used by applications.
      Returns:
        the EvolveEvent.

    - #### updateEvent

          public static void updateEvent​(EvolveEvent event,
                                         java.lang.String entityClassName,
                                         int nRead,
                                         int nConverted)

      Internal access method that should not be used by applications.
      Parameters:
        `event` - the EvolveEvent.
        `entityClassName` - the class name.
        `nRead` - the number read.
        `nConverted` - the number converted.

Copyright (c) 1996, 2020 Oracle and/or its affiliates. All rights reserved.